0

I want to create oval buffers 450 by 350 m tilted by 45° using the v.buffer-tool from the GUI.

When I enter everything necessary and click run, in return I get the following error message (same pops up for other Grass-algorithms):

2019-01-29T11:56:21 CRITICAL Traceback (most recent call last):

File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\grass7\Grass7Algorithm.py", line 415, in processAlgorithm Grass7Utils.executeGrass(self.commands, feedback, self.outputCommands)

File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\grass7\Grass7Utils.py", line 372, in executeGrass for line in iter(proc.stdout.readline, ''):

File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\codecs.py", line 322, in decode (result, consumed) = self._buffer_decode(data, self.errors, final)

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xf6 in position 81: invalid start byte

A possible reason could be the following warning I get upon startup of QGis (it doesn't pop up, but it is written in the protocol):

2019-01-29T11:43:18 WARNING Konnte C:/PROGRA~1/QGIS3~1.4/apps/qgis/plugins/grassplugin7.dll nicht laden (Grund: Die Bibliothek C:\PROGRA~1\QGIS3~1.4\apps\qgis\plugins\grassplugin7.dll kann nicht geladen werden: Das angegebene Modul wurde nicht gefunden.)

2019-01-29T11:43:18 WARNING Konnte C:/PROGRA~1/QGIS3~1.4/apps/qgis/plugins/grassprovider7.dll nicht laden (Grund: Die Bibliothek C:\PROGRA~1\QGIS3~1.4\apps\qgis\plugins\grassprovider7.dll kann nicht geladen werden: Das angegebene Modul wurde nicht gefunden.)

2019-01-29T11:43:18 WARNING Konnte C:/PROGRA~1/QGIS3~1.4/apps/qgis/plugins/grassrasterprovider7.dll nicht laden (Grund: Die Bibliothek C:\PROGRA~1\QGIS3~1.4\apps\qgis\plugins\grassrasterprovider7.dll kann nicht geladen werden: Das angegebene Modul wurde nicht gefunden.)

Basically it says "GRASS wasn't installed". So, how do I solve this? Just reinstall QGis?

Browse other questions tagged or ask your own question.